/* Breakpoint window item -*-c++-*- */
#ifndef KCBREAKITEM_H__
#define KCBREAKITEM_H__

#include <klistview.h>
#include <qstring.h>

struct breakpoint;

class KCBreakItem: public KListViewItem
{
public:
  KCBreakItem (QListView *parent, const QString &expression);
  ~KCBreakItem ();
  QString text (int column) const;
  /** Change breakpoint expression, compile it and compute current value */
  void setExpression (const QString &expression);
  /** @returns breakpoint expression */
  QString expression () const;
  /** Recompute value and possibly repaint */
  void cerealUpdate ();
  
private:
  struct breakpoint *bp;
  bool triggered;
};

#endif
