/* Expresion line edit control */

#include <klineedit.h>

#include <port.h>

#include "kcexprlineedit.h"
#include "kcinsertportdialog.h"

KCExprLineEdit::KCExprLineEdit (QWidget *parent, const char *name, WFlags f)
  : KCExprLineEditBase (parent, name, f)
{
}

KCExprLineEdit::~KCExprLineEdit ()
{
}

/** Get current expression text */
QString
KCExprLineEdit::text () const
{
  return exprText->text ();
}

void
KCExprLineEdit::setText (const QString &s)
{
  exprText->setText (s);
}

void
KCExprLineEdit::exprTextChanged (const QString &s)
{
  emit textChanged (s);
}

void
KCExprLineEdit::portClicked ()
{
  KCInsertPortDialog *dlg = new KCInsertPortDialog (this, PORT_TYPE_DISPLAY);
  if (dlg->exec () == QDialog::Accepted)
    exprText->insert (QString ("[%1]").arg (dlg->selectedPortName ()));
  delete dlg;
}
