/* Expresion line edit control -*-c++-*- */
#ifndef KCEXPRLINEEDIT_H__
#define KCEXPRLINEEDIT_H__

#include <qstring.h>

#include "kcexprlineeditbase.h"

/* The interface is as KLineEdit-compatible as possible, but it's just an
   internal tool, so most of the interfaces are not directly available.
   If you need them, pull them out ;-)
   Qt doesn't handle tab order of nested widgets well. You can fix that
   by manually calling setTabOrder of the nested widgets. So much for
   object encapsulation... */
class KCExprLineEdit: public KCExprLineEditBase
{
  Q_OBJECT
public:
  KCExprLineEdit (QWidget *parent = 0, const char *name = 0, WFlags f = 0);
  ~KCExprLineEdit ();
  /** Get current expression text */
  QString text () const;

public slots:
  virtual void setText (const QString &s);

signals:
  void textChanged (const QString &s);

protected slots:
  void exprTextChanged (const QString &s);
  void portClicked ();
};

#endif
