/* KLineEdit with additional signals -*-c++-*- */
#ifndef KCLINEEDIT_H__
#define KCLINEEDIT_H__

#include <klineedit.h>

class KCLineEdit: public KLineEdit
{
  Q_OBJECT
public:
  KCLineEdit (const QString &string, QWidget *parent = 0,
	      const char *name = 0);
  KCLineEdit (QWidget *parent = 0, const char *name = 0);
  ~KCLineEdit ();

signals:
  /** This window has lost focus */
  void focusLost ();
  /** This window has gained focus */
  void focusGained ();

protected:
  /** Emit focusGained () */
  void focusInEvent (QFocusEvent *event);
  /** Emit focusLost () */
  void focusOutEvent (QFocusEvent *event);
};

#endif
