/* Watch window item -*-c++-*- */
#ifndef KCWATCHITEM_H__
#define KCWATCHITEM_H__

#include <klistview.h>
#include <qstring.h>

struct expr_code;

class KCWatchItem: public KListViewItem
{
public:
  KCWatchItem (QListView *parent, const QString &expression);
  ~KCWatchItem ();
  QString text (int column) const;
  /** Change watch expression, compile it and compute current value */
  void setExpression (const QString &expression);
  /** @returns watch expression */
  QString expression () const { return expression_; };
  /** Recompute value and possibly repaint */
  void cerealUpdate ();
  
private:
  QString expression_, value;
  struct expr_code *code;
};

#endif
