/* 8051 cereal_kde plugin -*-c++-*- */
#ifndef KC8051_H__
#define KC8051_H__

#include <kparts/plugin.h>

#include "../kde/kcuistatehandler.h"

/* Our XML namespace */
extern const char KC8051XMLNs[];

struct cereal_module;
class KCMainWin;

class KC8051: public KParts::Plugin, private KCUIStateHandler
{
  Q_OBJECT
public:
  KC8051 (QObject *parent = 0, const char *name = 0);
  ~KC8051 ();
  /** Save current UI state under uiState */
  void saveState (struct _xmlNode *uiState);
  /** Load UI state from uiState of doc;
      returns: 0 if OK, -1 on error */
  int loadState (struct _xmlDoc *doc, struct _xmlNode *uiState);
  
private slots:
  /** 8051/New View was selected */
  void newView ();
  /** 8051/Load Program was selected */
  void loadProgram ();

private:
  /** 8051 module */
  const struct cereal_module *i8051_module;
  /** KCMainWin we are attached to */
  KCMainWin *mainWin;
};

#endif
