/* MI list view, which allows deleting using Delete key */

#include <klistview.h>
#include <klocale.h>
#include <qevent.h>
#include <qlistview.h>
#include <qnamespace.h>

#include <me.h>
#include <module.h>

#include "khwmilist.h"

KHwMiList::KHwMiList (QWidget *parent, const char *name)
  : KListView (parent, name)
{
  addColumn (i18n ("Name"));
  addColumn (i18n ("Type"));
  setItemsRenameable (true);
  reload ();
}

KHwMiList::~KHwMiList ()
{
}

/** Reload contents from me_list */
void
KHwMiList::reload ()
{
  clear ();
  for (const struct me_entry *me = me_list; me != NULL; me = me->next)
    /* We need to store the original name before renaming, so there is
       a hidden column. */
    new KListViewItem (this, me->name, me->module->name, me->name);
  QListViewItem *first = firstChild ();
  if (first != 0)
    {
      setCurrentItem (first);
      setSelected (first, false);
    }
}

/** Handle Delete key */
void
KHwMiList::keyPressEvent (QKeyEvent *event)
{
  if (event->key () == Qt::Key_Delete && selectedItem () != 0)
    {
      emit deletePressed ();
      event->accept ();
    }
  else
    KListView::keyPressEvent (event);
}
