/* get_xml_num () */

#include <lib.h>
#include <libxml/tree.h>

/* Parse unsigned number from xml NODE of DOC in range [0, limit), store
   result to *RES;
   returns: 0 if OK, -1 on error */
int
get_xml_num (xmlDocPtr doc, xmlNodePtr node, unsigned long limit,
	     unsigned long *res)
{
  xmlChar *str;
  int ret;
  
  str = xmlNodeListGetString (doc, node->children, 1);
  if (str == NULL)
    {
      ret = -1;
      goto err;
    }
  ret = get_num (str, 0, res);
  xmlFree (str);
  if (ret != 0)
    goto err;
  if (*res >= limit)
    {
      /* Not that much helpful, but helpful enough if you modify the state
	 files by hand. */
      error (0, "value %lu in XML file is not smaller than %lu", *res, limit);
      ret = -1;
      goto err;
    }
 err:
  return ret;
}
